# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::WriteCallback Class Reference

Defines an operation to be exectued to a ResourceDatabase just before it is written, see also LoadWriterManager, LoadCallback. More...

`#include <LoadWriterManager.hpp>`

Inheritance diagram for vl::WriteCallback:

List of all members.

## Public Member Functions

virtual void | operator() (ResourceDatabase *db)=0

## Detailed Description

Defines an operation to be exectued to a ResourceDatabase just before it is written, see also LoadWriterManager, LoadCallback.

## Member Function Documentation

virtual void vl::WriteCallback::operator() | ( | ResourceDatabase * | db | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LoadWriterManager.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:36 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.